SplDoublyLinkedList::bottom
SplDoublyLinkedList::count
SplDoublyLinkedList
PHP Manual

# SplDoublyLinkedList::__construct

(PHP 5 >= 5.3.0)

SplDoublyLinkedList::__construct — Constructs a new doubly linked list

### Description

public SplDoublyLinkedList::__construct ( void )

This constructs a new empty doubly linked list.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 SplDoublyLinkedList::__construct() example

`<?php
$dll = new SplDoublyLinkedList();
$dll->push(2);
$dll->push(3);
$dll->unshift(5);
var_dump($dll);
?>`

The above example will output:

    object(SplDoublyLinkedList)#1 (2) {
      ["flags":"SplDoublyLinkedList":private]=>
      int(0)
      ["dllist":"SplDoublyLinkedList":private]=>
      array(3) {
        [0]=>
        int(5)
        [1]=>
        int(2)
        [2]=>
        int(3)
      }
    }

SplDoublyLinkedList::bottom
SplDoublyLinkedList::count
SplDoublyLinkedList
PHP Manual